# List refunds

Get a list of refunds for a card transfer.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/transfers.read` scope.

GET

/accounts/{accountID}/transfers/{transferID}/refunds

Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/refunds" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

Ask

```go
mc, _ := moov.NewClient()

var accountID string
var transferID string

mc.ListRefunds(ctx, accountID, transferID)
```

Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.listRefunds({
    accountID: "03f5baaa-f5d8-44bd-90db-868745fe66e8",
    transferID: "6b1aa1a1-bff1-43b9-9126-2806fdc9c732",
  });

console.log(result);
}

run();
```

Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->transfers->listRefunds(
    accountID: '03f5baaa-f5d8-44bd-90db-868745fe66e8',
    transferID: '6b1aa1a1-bff1-43b9-9126-2806fdc9c732'
);

if ($response->cardAcquiringRefunds !== null) {
    // handle response
}
```

Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListRefundsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListRefundsResponse res = sdk.transfers().listRefunds()
                .accountID("03f5baaa-f5d8-44bd-90db-868745fe66e8")
                .transferID("6b1aa1a1-bff1-43b9-9126-2806fdc9c732")
                .call();

if (res.cardAcquiringRefunds().isPresent()) {
            System.out.println(res.cardAcquiringRefunds().get());
        }
    }
}
```

Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.transfers.list_refunds(account_id="03f5baaa-f5d8-44bd-90db-868745fe66e8", transfer_id="6b1aa1a1-bff1-43b9-9126-2806fdc9c732")

# Handle response
    print(res)
```

Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.transfers.list_refunds(account_id: '03f5baaa-f5d8-44bd-90db-868745fe66e8', transfer_id: '6b1aa1a1-bff1-43b9-9126-2806fdc9c732')

unless res.card_acquiring_refunds.nil?
  # handle response
end
```

Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Transfers.ListRefundsAsync(
    accountID: "03f5baaa-f5d8-44bd-90db-868745fe66e8",
    transferID: "6b1aa1a1-bff1-43b9-9126-2806fdc9c732"
);

// handle response
```

Example

```json
[\
  {\
    "refundID": "string",\
    "createdOn": "2019-08-24T14:15:22Z",\
    "updatedOn": "2019-08-24T14:15:22Z",\
    "status": "created",\
    "amount": {\
      "currency": "USD",\
      "value": 1204\
    },\
    "amountDetails": {\
      "surcharge": {\
        "currency": "USD",\
        "valueDecimal": "12.987654321"\
      }\
    },\
    "cardDetails": {\
      "status": "initiated",\
      "failureCode": "call-issuer",\
      "initiatedOn": "2019-08-24T14:15:22Z",\
      "confirmedOn": "2019-08-24T14:15:22Z",\
      "settledOn": "2019-08-24T14:15:22Z",\
      "failedOn": "2019-08-24T14:15:22Z",\
      "completedOn": "2019-08-24T14:15:22Z"\
    }\
  }\
]
```

### Response headers

A unique identifier used to trace requests.

### Response headers

The request contained missing or expired authentication.

### Response headers

The user is not authorized to make the request.

### Response headers

Request was refused due to rate limiting.

### Response headers

The request failed due to an unexpected error.

### Response headers

The request failed because a downstream service failed to respond.

### Response headers

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

### Possible values:

`v2026.07.00`

Identifier for the transfer.

### A 3-letter ISO 4217 currency code.

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

### The amount of surcharge to refund. Should be proportionate to the surcharge on the original transfer

### A 3-letter ISO 4217 currency code.

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.

### Possible values:

`initiated`, `confirmed`, `settled`, `failed`, `completed`

Possible values:

`call-issuer`, `do-not-honor`, `processing-error`, `invalid-transaction`, `invalid-amount`, `no-such-issuer`, `reenter-transaction`, `cvv-mismatch`, `lost-or-stolen`, `insufficient-funds`, `invalid-card-number`, `invalid-merchant`, `expired-card`, `incorrect-pin`, `transaction-not-allowed`, `suspected-fraud`, `amount-limit-exceeded`, `velocity-limit-exceeded`, `revocation-of-authorization`, `card-not-activated`, `issuer-not-available`, `could-not-route`, `cardholder-account-closed`, `unknown-issue`, `duplicate-transaction`

Identifier for the refund.

Possible values:

`created`, `pending`, `completed`, `failed`
